AM261x MCU+ SDK: Cpsw_InterVlanRouteIngressPktMatchCfg Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
Cpsw_InterVlanRouteIngressPktMatchCfg Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Peripherals » CPSW Peripheral

## Detailed Description

InterVLAN route ingress packet match criteria configuration.

## Data Fields
uint32_t | packetMatchEnMask
bool | ttlCheckEn
Enet_MacPort | ingressPort
CpswAle_MacAddrClassifierInfo | srcMacAddrInfo
CpswAle_MacAddrClassifierInfo | dstMacAddrInfo
uint32_t | vlanId
CpswAle_IpAddrClassifierInfo | srcIpInfo
CpswAle_IpAddrClassifierInfo | dstIpInfo
uint16_t | etherType

## Field Documentation

## ◆ packetMatchEnMask

uint32_t Cpsw_InterVlanRouteIngressPktMatchCfg::packetMatchEnMask

Bitmask selecting classifier types to enable

See also
  CPSW Intervlan ingress packet match types

## ◆ ttlCheckEn

bool Cpsw_InterVlanRouteIngressPktMatchCfg::ttlCheckEn

Flag to enable TTL check. If enabled a packet whose TTL is zero will be routed to host port instead of being routed to egress port

## ◆ ingressPort

Enet_MacPort Cpsw_InterVlanRouteIngressPktMatchCfg::ingressPort

Port number to match. Must be valid if bit CPSW_INTERVLAN_INGRESSPKT_MATCH_PORT in packetMatchEnMask is set

## ◆ srcMacAddrInfo

CpswAle_MacAddrClassifierInfo Cpsw_InterVlanRouteIngressPktMatchCfg::srcMacAddrInfo

Source MAC address to match. Must be valid if bit CPSW_INTERVLAN_INGRESSPKT_MATCH_MACSRC in packetMatchEnMask is set

## ◆ dstMacAddrInfo

CpswAle_MacAddrClassifierInfo Cpsw_InterVlanRouteIngressPktMatchCfg::dstMacAddrInfo

Destination MAC address to match. Must valid if bit CPSW_INTERVLAN_INGRESSPKT_MATCH_MACDST in packetMatchEnMask is set

## ◆ vlanId

uint32_t Cpsw_InterVlanRouteIngressPktMatchCfg::vlanId

Ingress packet VLAN ID to match

## ◆ srcIpInfo

CpswAle_IpAddrClassifierInfo Cpsw_InterVlanRouteIngressPktMatchCfg::srcIpInfo

Source IP address to match. Must be valid if bit CPSW_INTERVLAN_INGRESSPKT_MATCH_IPSRC in policerMatchEnMask is set

## ◆ dstIpInfo

CpswAle_IpAddrClassifierInfo Cpsw_InterVlanRouteIngressPktMatchCfg::dstIpInfo

Destination IP address to match. Must be valid if bit CPSW_INTERVLAN_INGRESSPKT_MATCH_IPDST in policerMatchEnMask is set.

## ◆ etherType

uint16_t Cpsw_InterVlanRouteIngressPktMatchCfg::etherType

Frame Ethertype to match. Must be valid if bit CPSW_INTERVLAN_INGRESSPKT_MATCH_ETHERTYPE in policerMatchEnMask is set.